local fs = require "nixio.fs" 

m = Map("modbus-to-iec104", translate("Modbus to IEC104"))

section_global = m:section(TypedSection, "global", translate("Enable/ Disable"))
section_global.anonymous = false
section_global.addremove = false
section_global.name = "global"

option_enabled = section_global:option(Flag, "enabled", translate("Enabled"),
	translate("Enable Modbus to IEC104"))
option_enabled.rmempty=false
option_enabled.default="1"

s = m:section(TypedSection, "modbus_to_104", translate("Modbus to IEC104"), "")
s.anonymous = true
s.addremove = false


cyclic_time_interval = s:option(Value, "cyclic_time_interval", "Cyclic Time Interval", translate("Cyclic Time Interval"))
cyclic_time_interval.datatype = "integer"

coil_type_id = s:option(Value, "coil_type_id", "Coil Type Id", translate("Map Coil to the Information Object of IEC104 Protocol"))
coil_type_id:value("M_SP_NA_1", translate("Single Point Information"))
coil_type_id:value("M_DP_NA_1", translate("Double Point Information"))

register_type_id = s:option(Value, "register_type_id", "Register Type Id", translate("Map Register to the Information Object of IEC104 Protocol"))
register_type_id:value("M_ME_NA_1", translate("Measured Value Normalized"))
register_type_id:value("M_ME_NB_1", translate("Measured Value Scaled"))
register_type_id:value("M_ME_NC_1", translate("Measured Value Short"))

return m
